Subject: Re: [PATCH v4 0/5] urlmatch: allow wildcard-based matches

From: Junio C Hamano <[email-masked]>
Date: Mon, 30 Jan 2017 14:00:34 -0800

Patrick Steinhardt <[email-masked]> writes:

>  - I realized that with my patches, "ranking" of URLs was broken.
>    Previously, we've always taken the longest matching URL. As
>    previously, only the user and path could actually differ, only
>    these two components were used for the comparison. I've
>    changed this now to also include the host part so that URLs
>    with a longer host will take precedence. This resulted in a
>    the patch 4.

Good thinking.  I was wondering about this, too.

Thanks.  Will read it through and replace.